<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosNotifyChannelAdmin_&shy;ProxyPushConsumer</title>
    <shorttitle>..._ProxyPushConsumer</shorttitle>
    <prepared>Niclas Eklund</prepared>
    <responsible>Niclas Eklund</responsible>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>2000-02-01</date>
    <rev>1.0</rev>
  </header>
  <module>CosNotifyChannelAdmin_ProxyPushConsumer</module>
  <modulesummary>This module implements the OMG  CosNotifyChannelAdmin::ProxyPushConsumer interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosNotification/include/*.hrl").</c></p>
    <p>This module also exports the functions described in:</p>
    <list type="bulleted">
      <item>
        <p><seealso marker="CosNotifyComm_NotifyPublish">CosNotifyComm_NotifyPublish</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotification_QoSAdmin">CosNotification_QoSAdmin</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotifyFilter_FilterAdmin">CosNotifyFilter_FilterAdmin</seealso></p>
      </item>
      <item>
        <p><seealso marker="CosNotifyChannelAdmin_ProxyConsumer">CosNotifyChannelAdmin_ProxyConsumer</seealso></p>
      </item>
    </list>
  </description>
  <funcs>
    <func>
      <name>connect_any_push_supplier(ProxyPushConsumer, PushSupplier) -> Reply</name>
      <fsummary>Connect a supplier to the proxy</fsummary>
      <type>
        <v>ProxyPushConsumer = #objref</v>
        <v>PushSupplier = #objref</v>
        <v>Reply = ok | {'EXCEPTION', #'CosEventChannelAdmin_AlreadyConnected'{}}</v>
      </type>
      <desc>
        <p>This operation connects a <c>PushSupplier</c> to the target object. If
          a connection already exists the <c>AlreadyConnected</c> exception is raised.</p>
      </desc>
    </func>
    <func>
      <name>push(ProxyPushConsumer, Event) -> Reply</name>
      <fsummary>Push an Any event to the proxy</fsummary>
      <type>
        <v>ProxyPushConsumer = #objref</v>
        <v>Event = #any</v>
        <v>Reply = ok | {'EXCEPTION', #'CosEventChannelAdmin_Disconnected'{}}</v>
      </type>
      <desc>
        <p>This operation pushes an <c>#any{}</c> event to the target object. If no client
          have been connected the <c>Disconnected</c> exception is raised.</p>
      </desc>
    </func>
    <func>
      <name>disconnect_push_consumer(ProxyPushConsumer) -> ok</name>
      <fsummary>Close the connection and terminate the proxy</fsummary>
      <type>
        <v>ProxyPushConsumer = #objref</v>
      </type>
      <desc>
        <p>Invoking this operation will cause the target object to close the connection and
          terminate.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

